Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Thread_Semaphore.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Semaphore.h"`
`#include "ace/Thread_Semaphore.inl"`

Include dependency graph for Thread_Semaphore.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Thread_Semaphore
| Wrapper for Dijkstra style general semaphores that work only within one process. More...
class | ACE_Malloc_Lock_Adapter_T< ACE_Thread_Semaphore >
| Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Thread_Semaphore. More...

## Detailed Description

Id
  Thread_Semaphore.h,v 4.9 2005/11/26 03:13:13 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>